---
aliases:
  - /docs/grafana/v1.1/
  - /docs/grafana/v3.1/
  - guides/reference/admin/
cascade:
  TEMPO_VERSION: latest
  PYROSCOPE_VERSION: latest
description: Guides, installation, and feature documentation
keywords:
  - grafana
  - installation
  - documentation
labels:
  products:
    - enterprise
    - oss
title: Grafana documentation
---

# Grafana documentation

## Installing Grafana

<div class="nav-cards">
    <a href="setup-grafana/installation/debian/" class="nav-cards__item nav-cards__item--install">
        <div class="nav-cards__icon fa fa-linux">
        </div>
        <h5>Install on Linux</h5>
    </a>
    <a href="setup-grafana/installation/mac/" class="nav-cards__item nav-cards__item--install">
        <div class="nav-cards__icon fa fa-apple">
        </div>
        <h5>Install on macOS</h5>
    </a>
    <a href="setup-grafana/installation/windows/" class="nav-cards__item nav-cards__item--install">
        <div class="nav-cards__icon fa fa-windows">
        </div>
        <h5>Install on Windows</h5>
    </a>
    <a href="setup-grafana/installation/docker/" class="nav-cards__item nav-cards__item--install">
        <img src="/static/img/logos/logo-docker.svg">
        <h5>Run Docker image</h5>
    </a>
    <a href="setup-grafana/installation/kubernetes/" class="nav-cards__item nav-cards__item--install">
        <img src="/static/img/logos/logo-kubernetes.svg">
        <h5>Run on Kubernetes</h5>
    </a>
    <a href="https://grafana.com/docs/grafana-cloud/" class="nav-cards__item nav-cards__item--install">
        <div class="nav-cards__icon fa fa-cloud">
        </div>
        <h5>Grafana Cloud</h5>
    </a>
    <a href="https://grafana.com/grafana/download/nightly?edition=oss" class="nav-cards__item nav-cards__item--install">
        <div class="nav-cards__icon fa fa-moon-o">
        </div>
        <h5>Nightly builds</h5>
    </a>
</div>

## Guides

<div class="nav-cards">
    <a href="getting-started/build-first-dashboard/" class="nav-cards__item nav-cards__item--guide">
        <h4>Getting started</h4>
        <p>Learn the basics of using Grafana.</p>
    </a>
    <a href="fundamentals/" class="nav-cards__item nav-cards__item--guide">
        <h4>Grafana fundamentals</h4>
        <p>Learn basic observability.</p>
    </a>
    <a href="setup-grafana/configure-grafana/" class="nav-cards__item nav-cards__item--guide">
        <h4>Configure Grafana</h4>
        <p>Review the configuration and setup options.</p>
    </a>
    <a href="fundamentals/timeseries/" class="nav-cards__item nav-cards__item--guide">
        <h4>Intro to time series</h4>
        <p>Learn about time series data.</p>
    </a>
    <a href="administration/provisioning/" class="nav-cards__item nav-cards__item--guide">
        <h4>Provisioning</h4>
        <p>Learn how to automate your Grafana configuration.</p>
    </a>
    <a href="whatsnew/whats-new-in-v11-1/" class="nav-cards__item nav-cards__item--guide">
        <h4>What's new in v11.1</h4>
        <p>Explore the features and enhancements in the latest release.</p>
    </a>

</div>

## Data source guides

<div class="nav-cards">
    <a href="datasources/graphite/" class="nav-cards__item nav-cards__item--ds">
      <img src="/static/img/docs/logos/icon_graphite.svg" >
      <h5>Graphite</h5>
    </a>
    <a href="datasources/elasticsearch/" class="nav-cards__item nav-cards__item--ds">
      <img src="/static/img/docs/logos/icon_elasticsearch.svg" >
      <h5>Elasticsearch</h5>
    </a>
    <a href="datasources/influxdb/" class="nav-cards__item nav-cards__item--ds">
      <img src="/static/img/docs/logos/icon_influxdb.svg" >
      <h5>InfluxDB</h5>
    </a>
    <a href="datasources/prometheus/" class="nav-cards__item nav-cards__item--ds">
      <img src="/static/img/docs/logos/icon_prometheus.svg" >
      <h5>Prometheus</h5>
    </a>
    <a href="datasources/google-cloud-monitoring/" class="nav-cards__item nav-cards__item--ds">
      <img src="/static/img/docs/logos/icon_cloudmonitoring.svg">
      <h5>Google Cloud Monitoring</h5>
    </a>
    <a href="datasources/aws-cloudwatch/" class="nav-cards__item nav-cards__item--ds">
      <img src="/static/img/docs/logos/icon_cloudwatch.svg">
      <h5>AWS CloudWatch</h5>
    </a>
    <a href="datasources/azure-monitor/" class="nav-cards__item nav-cards__item--ds">
      <img src="/static/img/docs/logos/icon_azure_monitor.jpg">
      <h5>Azure Monitor</h5>
    </a>
    <a href="datasources/loki/" class="nav-cards__item nav-cards__item--ds">
      <img src="/static/img/docs/logos/icon_loki.svg">
      <h5>Loki</h5>
    </a>
    <a href="datasources/mysql/" class="nav-cards__item nav-cards__item--ds">
      <img src="/static/img/docs/logos/icon_mysql.png" >
      <h5>MySQL</h5>
    </a>
    <a href="datasources/postgres/" class="nav-cards__item nav-cards__item--ds">
      <img src="/static/img/docs/logos/icon_postgres.svg" >
      <h5>Postgres</h5>
    </a>
    <a href="datasources/mssql/" class="nav-cards__item nav-cards__item--ds">
      <img src="/static/img/docs/logos/sql_server_logo.svg">
      <h5>Microsoft SQL Server</h5>
    </a>
    <a href="datasources/opentsdb/" class="nav-cards__item nav-cards__item--ds">
      <img src="/static/img/docs/logos/icon_opentsdb.png" >
      <h5>OpenTSDB</h5>
    </a>
</div>
